summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: cbc6bda)
raw | patch | inline | side by side (parent: cbc6bda)
author | Shawn O. Pearce <spearce@spearce.org> | |
Wed, 2 May 2007 16:59:55 +0000 (12:59 -0400) | ||
committer | Shawn O. Pearce <spearce@spearce.org> | |
Wed, 2 May 2007 17:24:23 +0000 (13:24 -0400) |
For example Mac OS X lacks the seq command. So we cannot use it
there. A good old while loop works just as good.
Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
there. A good old while loop works just as good.
Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
t/t5302-pack-index.sh | patch | blob | history |
diff --git a/t/t5302-pack-index.sh b/t/t5302-pack-index.sh
index 6902fc6d48fd68bd83be6ff9c4f2acd142153d22..4d06eca6a58dc8f6cb404144a31451bdcd59af11 100755 (executable)
--- a/t/t5302-pack-index.sh
+++ b/t/t5302-pack-index.sh
'setup' \
'rm -rf .git
git-init &&
- for i in `seq -w 100`
+ i=1 &&
+ while test $i -le 100
do
+ i=`printf '%03i' $i`
echo $i >file_$i &&
test-genrandom "$i" 8192 >>file_$i &&
- git-update-index --add file_$i || return 1
+ git-update-index --add file_$i &&
+ i=`expr $i + 1` || return 1
done &&
{ echo 101 && test-genrandom 100 8192; } >file_101 &&
git-update-index --add file_101 &&